Skip to main content
GET
/
members
/
search-by-email
Search member by email
curl --request GET \
  --url https://{domain}/api/site/members/search-by-email \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "name": "John Doe",
  "email": "john@doe.com",
  "groups": [
    59,
    98
  ],
  "registeredOn": 1587489771,
  "approved": true,
  "contactId": 147,
  "billingAddress": {
    "name": "<string>",
    "phone": "<string>",
    "companyName": "<string>",
    "companyId": "<string>",
    "country": "<string>",
    "state": "<string>",
    "city": "<string>",
    "zipCode": "<string>",
    "address": "<string>",
    "address2": "<string>"
  },
  "shippingAddress": {
    "name": "<string>",
    "phone": "<string>",
    "companyName": "<string>",
    "companyId": "<string>",
    "country": "<string>",
    "state": "<string>",
    "city": "<string>",
    "zipCode": "<string>",
    "address": "<string>",
    "address2": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Pass your API key as: Authorization: Bearer <API KEY>.

Query Parameters

email
string<email>
required

The email address to look for.

Example:

"john@doe.com"

Response

The matching member.

id
integer

Unique identifier.

Example:

123

name
string

Member name.

Example:

"John Doe"

email
string<email>

Email of the member.

Example:

"john@doe.com"

groups
integer[]

Member group id(s) to which the member belongs.

Example:
[59, 98]
registeredOn
integer<int64>

Timestamp in Unix seconds since epoch.

Example:

1587489771

approved
boolean

Member approval status.

contactId
integer

Contact ID of the member.

Example:

147

billingAddress
object

A billing or shipping address.

shippingAddress
object

A billing or shipping address.

Last modified on June 20, 2026